.checkbox {
  display: flex;
  align-items: center;
  cursor: pointer;

  &__input {
    width: 0;
    height: 0;
    opacity: 0;
  }

  &__input:focus ~ &__icon {
    box-shadow: 0 0 0 3px $accent;
  }

  &__input:checked ~ &__icon svg {
    opacity: 1;
  }

  &__icon {
    display: block;
    width: 16px;
    height: 16px;
    border-radius: 4px;
    overflow: hidden;
    border: 1px solid $gray;
    pointer-events: none;
    transition: background-color $easing, box-shadow $easing;

    svg {
      width: 100%;
      height: 100%;
      display: block;
      fill: $gray;
      opacity: 0;
      transition: opacity $easing;
    }
  }

  &__placeholder {
    font-size: 16px;
    line-height: 19px;
    margin-left: 8px;
    display: block;
    font-weight: 400;
  }
}
